net.sf.jasperreports.crosstabs.base

## Class BaseCrosstabColumnCell

- java.lang.Object
- - net.sf.jasperreports.crosstabs.base.BaseCrosstabColumnCell

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, CrosstabColumnCell, JRCloneable
  Direct Known Subclasses:
    DesignCrosstabColumnCell

      public class BaseCrosstabColumnCell
      extends java.lang.Object
      implements CrosstabColumnCell, java.io.Serializable

  Version:
    $Id: BaseCrosstabColumnCell.java 6874 2014-02-07 11:24:22Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRCellContents` | `cellContents`
    `protected CrosstabColumnPositionEnum` | `contentsPosition`
    `protected int` | `height`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BaseCrosstabColumnCell()`
    `` | `BaseCrosstabColumnCell(CrosstabColumnCell cell, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRCellContents` | `getCellContents()`
    `CrosstabColumnPositionEnum` | `getContentsPosition()`
    `int` | `getHeight()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### height

          protected int height

    - #### contentsPosition

          protected CrosstabColumnPositionEnum contentsPosition

    - #### cellContents

          protected JRCellContents cellContents

  - ### Constructor Detail

    - #### BaseCrosstabColumnCell

          protected BaseCrosstabColumnCell()

    - #### BaseCrosstabColumnCell

          public BaseCrosstabColumnCell(CrosstabColumnCell cell,
                                JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `CrosstabColumnCell`

    - #### getContentsPosition

          public CrosstabColumnPositionEnum getContentsPosition()

      Specified by:
        `getContentsPosition` in interface `CrosstabColumnCell`

    - #### getCellContents

          public JRCellContents getCellContents()

      Specified by:
        `getCellContents` in interface `CrosstabColumnCell`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com